Ubuntu Linux'ta VirtualBox görüntü kaydı


VirtualBox 4.3.1x serisi ile ekran görüntüsünü video olarak kaydetme özelliği geldi. Ancak bu özellik Ubuntu Linux ve diğer Ubuntu tabanlı dağıtımlarda sorun çıkarmakta.






libvpx, WebM projesinin bir parçası olarak VP8 kodlama türünde videoları oluşturabilme ve açabilmemizi sağlayan bir kod çözücü. Ancak 1.3.0 sürümü, VirtualBox ile uyumsuz olduğu için sanal makinemizin ekran görüntüsü yerine yeşil bir görüntü kaydetmekte. Bunu çözelim.

libvpx1'in 1.2.0 sürümünü kurmamız gerekli. Ancak bunu yapınca bağımlılık zinciri kırıldığı için sistemi onarmadan paket ekleyemez sistemi güncelleyemez hale geliyoruz.

Öncelikle libvpx1 1.2.0'ı kuralım.

wget http://launchpadlibrarian.net/140850494/libvpx1_1.2.0-2_i386.deb
wget http://launchpadlibrarian.net/140850541/libvpx1_1.2.0-2_amd64.deb
sudo dpkg -r --force-depends libvpx1
sudo dpkg -r --force-depends libvpx1:i386
sudo dpkg -i --force-depends libvpx1_1.2.0-2_amd64.deb
sudo dpkg -i --force-depends libvpx1_1.2.0-2_i386.deb

Şimdi bağımlılık zincirinin kırılmasına sebep olan gstreamer1.0-plugins-good paketini kandıralım.  Şu an herhangi bir paketi normal olarak yüklemek isterseniz veya sistemi güncellemek isterseniz size bozuk paketler olduğunu söyleyecek ve işlemi iptal edecektir. Bunu söylemesini önlemek için

gksu gedit/var/lib/dpkg/status

dosyasında libvpx1 (>=1.3.0), metnini aratın ve gstreamer1.0-plugins-good paketinin


bağımlılıklarından silin, dosyayı kaydedin.

Artık tek sorunumuz sistemi güncellemek. Güncellediğiniz takdirde libvpx1 ve libvpx1:i386 paketleri 1.3.0'a yükselecek, gstreamer1.0-plugins-good'un da bağımlılık listesi düzelecektir. Güncellemeyi bu üç paket için devre dışı bırakalım.

sudo echo "libvpx1 hold" | dpkg --set-selections
sudo echo "libvpx1:i386 hold" | dpkg --set-selections
sudo echo "gstreamer1.0-plugins-good hold" | dpkg --set-selections

dedikten sonra

sudo apt-get update && sudo apt-get upgrade

dediğimizde


Yaptığımız her şeyi geri çevirmek için:

sudo -i
echo "libvpx1 install" | dpkg --set-selections
echo "libvpx1:i386 install" | dpkg --set-selections
echo "gstreamer1.0-plugins-good install" | dpkg --set-selections
apt-get update && apt-get upgrade

Kolay gelsin.





Hiç yorum yok :


Yorum Gönder